VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::Services Interface Reference

`Services` interface provides methods Manages services. More...

Inherited by vmware::appliance::techpreview::ServicesStub.

List of all members.

## Public Member Functions
void | Control (global::System.Collections.Generic.List< string > args, string name, long timeout)
| Manage a service with arbitrary command and arguments.
void | Control (global::System.Collections.Generic.List< string > args, string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Manage a service with arbitrary command and arguments.
global::System.Threading.Tasks.Task | ControlAsync (global::System.Collections.Generic.List< string > args, string name, long timeout)
| Manage a service with arbitrary command and arguments.
global::System.Threading.Tasks.Task | ControlAsync (global::System.Collections.Generic.List< string > args, string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Manage a service with arbitrary command and arguments.
global::System.Collections.Generic.List < vmware.appliance.techpreview.ServicesTypes.ServiceInfo > | List ()
| Get a list of all known services.
global::System.Collections.Generic.List < vmware.appliance.techpreview.ServicesTypes.ServiceInfo > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get a list of all known services.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.ServicesTypes.ServiceInfo > > | ListAsync ()
| Get a list of all known services.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.ServicesTypes.ServiceInfo > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get a list of all known services.
void | Stop (string name, long timeout)
| Stop a service.
void | Stop (string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stop a service.
global::System.Threading.Tasks.Task | StopAsync (string name, long timeout)
| Stop a service.
global::System.Threading.Tasks.Task | StopAsync (string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stop a service.
void | Restart (string name, long timeout)
| start or restart a service
void | Restart (string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| start or restart a service
global::System.Threading.Tasks.Task | RestartAsync (string name, long timeout)
| start or restart a service
global::System.Threading.Tasks.Task | RestartAsync (string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| start or restart a service

## Detailed Description

`Services` interface provides methods Manages services.

## Member Function Documentation

void vmware::appliance::techpreview::Services::Control | ( | global::System.Collections.Generic.List< string > | args,
|  | string | name,
|  | long | timeout
| ) |  |

Manage a service with arbitrary command and arguments.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  args | Array of arguments.
  name | Name of the service.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Implemented in vmware::appliance::techpreview::ServicesStub.

void vmware::appliance::techpreview::Services::Control | ( | global::System.Collections.Generic.List< string > | args,
|  | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Manage a service with arbitrary command and arguments.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  args | Array of arguments.
  name | Name of the service.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Services::ControlAsync | ( | global::System.Collections.Generic.List< string > | args,
|  | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Manage a service with arbitrary command and arguments.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  args | Array of arguments.
  name | Name of the service.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Services::ControlAsync | ( | global::System.Collections.Generic.List< string > | args,
|  | string | name,
|  | long | timeout
| ) |  |

Manage a service with arbitrary command and arguments.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  args | Array of arguments.
  name | Name of the service.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Collections.Generic.List<vmware.appliance.techpreview.ServicesTypes.ServiceInfo> vmware::appliance::techpreview::Services::List | ( |  | ) |

Get a list of all known services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of services.

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Collections.Generic.List<vmware.appliance.techpreview.ServicesTypes.ServiceInfo> vmware::appliance::techpreview::Services::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get a list of all known services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of services.

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.ServicesTypes.ServiceInfo> > vmware::appliance::techpreview::Services::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get a list of all known services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of services.

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.ServicesTypes.ServiceInfo> > vmware::appliance::techpreview::Services::ListAsync | ( |  | ) |

Get a list of all known services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of services.

Implemented in vmware::appliance::techpreview::ServicesStub.

void vmware::appliance::techpreview::Services::Restart | ( | string | name,
|  | long | timeout
| ) |  |

start or restart a service

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of the service to start or restart.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Implemented in vmware::appliance::techpreview::ServicesStub.

void vmware::appliance::techpreview::Services::Restart | ( | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

start or restart a service

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of the service to start or restart.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Services::RestartAsync | ( | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

start or restart a service

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of the service to start or restart.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Services::RestartAsync | ( | string | name,
|  | long | timeout
| ) |  |

start or restart a service

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of the service to start or restart.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Implemented in vmware::appliance::techpreview::ServicesStub.

void vmware::appliance::techpreview::Services::Stop | ( | string | name,
|  | long | timeout
| ) |  |

Stop a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of service.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Implemented in vmware::appliance::techpreview::ServicesStub.

void vmware::appliance::techpreview::Services::Stop | ( | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Stop a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of service.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Services::StopAsync | ( | string | name,
|  | long | timeout
| ) |  |

Stop a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of service.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Implemented in vmware::appliance::techpreview::ServicesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Services::StopAsync | ( | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Stop a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of service.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ServicesStub.

The documentation for this interface was generated from the following file:

- Services.cs